// --- [ global.h ] ------------------------------------------------------------
//
//       tab = 3 - 15.05.11

#define	TRUE		1
#define FALSE		0

#define OUT_RAW		0	// useful for dianostic purposes 19200/8/1/n
// select only 1 output of below: 0 >> no, 1 >> yes
#define OUT_ASCII	0	// output to terminal 19200/8/1/no
#define OUT_ELV		0	// emulates ELV PC-Wettersensor-Empfnger 19200/8/2/odd
#define OUT_WMR		1	// emulates Oregon Scientific WMR918 9600/8/1/n


	
//Baudrate of serial port
#if OUT_WMR
#define UART_BAUDRATE 9600
#else
#define UART_BAUDRATE 19200
#endif
#define DEZIMAL_TRENNZEICHEN 		','

//#define DEBUG						// Debug-Ausgabe aktivieren

#define USE_SHT	1					// 0 nein, 1 ja

#ifndef EXTERN
#define EXTERN extern
#endif

EXTERN uint8_t twi_buffer[8];
EXTERN char cv[12];

void delay_10ms(uint8_t t);

// --- [ eof ] -----------------------------------------------------------------